Concerteza amigo, se sua versão for a 2.9.27 é bom atualizar concerteza. Compra a nivel 4 baratim e colocar a 3.30 x86, funciona muito bem uso aqui na maioria das rbs.